#ifndef _ANIMAL_H_
#define _ANIMAL_H_

#include <string>

using namespace std;

class Animal {

private:
    static int mTotalCnt;
    string mName;

protected:
    Animal();
    Animal(const string& name);

public:
    ~Animal();

    string getName() const;
    virtual string getType() const;

    static const int& getTotalCount();
};

#endif
