#include "Cow.h"

int Cow::mTotalCnt = 0;

Cow::Cow(const string& name)
: Animal(name)
{
    Cow::mTotalCnt++;
}

Cow::Cow()
: Animal()
{
    Cow::mTotalCnt++;
}

Cow::~Cow()
{
    Cow::mTotalCnt--;
}

string Cow::getType() const
{
    return string("Cow");
}

const int& Cow::getTotalCount()
{
    return Cow::mTotalCnt;
}
