template <typename Elem>
List<Elem>::Node::Node()
: mElem(NULL), mNext(NULL), mPrev(NULL), mParent(NULL)
{
}

template <typename Elem>
List<Elem>::Node::Node(List<Elem> *parent, Elem *elem)
: mElem(elem), mNext(NULL), mPrev(NULL), mParent(parent)
{
}

template <typename Elem>
List<Elem>::Node::~Node()
{
}

template <typename Elem>
void List<Elem>::Node::setNext(Node *next)
{
    mNext = next;
}

template <typename Elem>
typename List<Elem>::Node* List<Elem>::Node::getNext()
{
    return mNext;
}

template <typename Elem>
void List<Elem>::Node::setPrev(List<Elem>::Node *prev)
{
    mPrev = prev;
}

template <typename Elem>
typename List<Elem>::Node * List<Elem>::Node::getPrev()
{
    return mPrev;
}

template <typename Elem>
List<Elem> * List<Elem>::Node::getParent()
{
    return mParent;
}

template <typename Elem>
Elem * List<Elem>::Node::getElem()
{
    return mElem;
}

template <typename Elem>
typename List<Elem>::Node&
List<Elem>::Node::operator = (const Node& that)
{
    mElem = that.mElem;
    mNext = that.mNext;
    mPrev = that.mPrev;

    mParent = that.mParent;
}
