#include "Animal.h"

int Animal::mTotalCnt = 0;

Animal::Animal()
: mName("")
{
    Animal::mTotalCnt++;
}

Animal::Animal(const string& name)
: mName(name)
{
    Animal::mTotalCnt++;
}

Animal::~Animal()
{
    Animal::mTotalCnt--;
}

string Animal::getName() const
{
    return mName;
}

string Animal::getType() const
{
    return string("Generic");
}

const int& Animal::getTotalCount()
{
    return Animal::mTotalCnt;
}
